summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Emmanuel N. Millan <emmanueln __at__ gmail.com>2016-10-16 05:07:40 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-10-16 05:07:40 +0700
commitbb8c6397ef078e054720bfb07022cbba47586f52 (patch)
tree31692666dc47c5eb0b3d27fea42958a66ec1115f
parent853a4e4dd85a1b07a95d75f6b69f9cf7c7618c43 (diff)
downloadslackbuilds-bb8c6397e.tar.gz
slackbuilds-bb8c6397e.tar.xz
network/ganglia: Added (distributed monitoring system).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/ganglia/README14
-rw-r--r--network/ganglia/doinst.sh34
-rw-r--r--network/ganglia/ganglia.SlackBuild133
-rw-r--r--network/ganglia/ganglia.info10
-rw-r--r--network/ganglia/slack-desc19
5 files changed, 210 insertions, 0 deletions
diff --git a/network/ganglia/README b/network/ganglia/README
new file mode 100644
index 0000000000..e6e25d5f81
--- /dev/null
+++ b/network/ganglia/README
@@ -0,0 +1,14 @@
+Ganglia is a scalable distributed monitoring system for high-performance
+computing systems such as clusters and Grids. It is based on a hierarchical
+design targeted at federations of clusters.
+
+1. This SlackBuild is just going to build Ganglia without 'gmetad', which
+ collects information from ganglia monitor clients, and writes them to RRD
+ databases. If you want to enable this, you'll have to enable it with the
+ OPT variable and 'gmetad' as value, then execute the build script as
+ follows: OPT=gmetad ./ganglia.SlackBuild
+
+ In order to build gmetad as part of this package, you'll need to have
+ RRDTool installed. It is available from SlackBuilds.org.
+
+2. The Ganglia web frontend is distributed as a separated SlackBuild: ganglia-web.
diff --git a/network/ganglia/doinst.sh b/network/ganglia/doinst.sh
new file mode 100644
index 0000000000..6d02270893
--- /dev/null
+++ b/network/ganglia/doinst.sh
@@ -0,0 +1,34 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+config etc/ganglia/gmond.conf.new
+preserve_perms etc/rc.d/rc.gmond.new
+
+if [ -e etc/ganglia/gmetad.conf.new ]; then
+ config etc/ganglia/gmetad.conf.new
+fi
+
+if [ -e etc/rc.d/rc.gmetad.new ]; then
+ preserve_perms etc/rc.d/rc.gmetad.new
+fi
diff --git a/network/ganglia/ganglia.SlackBuild b/network/ganglia/ganglia.SlackBuild
new file mode 100644
index 0000000000..eef0dc9066
--- /dev/null
+++ b/network/ganglia/ganglia.SlackBuild
@@ -0,0 +1,133 @@
+#!/bin/sh
+
+# Slackware build script for Ganglia
+
+# Copyright 2008 Cherife Li <cherife-#-dotimes.com>
+# All rights reserved.
+#
+# Copyright 2016 Emmanuel N. Millán, Mendoza, Argentina.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ganglia
+VERSION=${VERSION:-3.7.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCUMENTATION="AUTHORS COPYING ChangeLog INSTALL NEWS README*"
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+
+if [ -n "$OPT" ]; then
+ if [ "$OPT" = 'gmetad' ]; then
+ OPT='--with-gmetad'
+ else
+ unset -v OPT
+ fi
+fi
+
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-static=no \
+ --enable-gexeca \
+ --enable-status \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ $OPT
+
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/etc/rc.d
+mkdir -p $PKG/etc/ganglia
+./gmond/gmond -t > $PKG/etc/ganglia/gmond.conf.new
+sed -e 's|daemon $GMOND|daemon $GMOND -c /etc/ganglia/gmond.conf|g' gmond/gmond.init > $PKG/etc/rc.d/rc.gmond.new
+
+if [ -n "$OPT" ]; then
+ cat gmetad/gmetad.conf > $PKG/etc/ganglia/gmetad.conf.new
+ sed -e 's|daemon $GMETAD|daemon $GMETAD -c /etc/ganglia/gmetad.conf|g' gmetad/gmetad.init > $PKG/etc/rc.d/rc.gmetad.new
+ rm $PKG/etc/gmetad.conf
+ mkdir -p /var/lib/ganglia/rrds
+ chown nobody.nogroup -R /var/lib/ganglia/rrds
+fi
+
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCUMENTATION $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/ganglia/ganglia.info b/network/ganglia/ganglia.info
new file mode 100644
index 0000000000..d1725cc93d
--- /dev/null
+++ b/network/ganglia/ganglia.info
@@ -0,0 +1,10 @@
+PRGNAM="ganglia"
+VERSION="3.7.2"
+HOMEPAGE="http://ganglia.info/"
+DOWNLOAD="http://downloads.sourceforge.net/ganglia/ganglia-3.7.2.tar.gz"
+MD5SUM="49c5cd0292fdfb57d098ac76b6e97672"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Emmanuel N. Millan"
+EMAIL="emmanueln __at__ gmail.com"
+REQUIRES="confuse"
diff --git a/network/ganglia/slack-desc b/network/ganglia/slack-desc
new file mode 100644
index 0000000000..374e7079e5
--- /dev/null
+++ b/network/ganglia/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ganglia: ganglia (distributed monitoring system)
+ganglia:
+ganglia: Ganglia is a scalable distributed monitoring system
+ganglia: for high-performance computing systems such as
+ganglia: clusters and Grids. It is based on a hierarchical
+ganglia: design targeted at federations of clusters.
+ganglia:
+ganglia: Homepage: http://ganglia.info/
+ganglia:
+ganglia:
+ganglia: